> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a virtual account

> Update an existing virtual account.




## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json post /v2/users/{userId}/virtual-accounts/{accountId}/update
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/virtual-accounts/{accountId}/update:
    post:
      tags:
        - Virtual Account
      summary: Update a virtual account
      description: |
        Update an existing virtual account.
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
        - $ref: '#/components/parameters/VirtualAccountIdPathParameter'
      requestBody:
        $ref: '#/components/requestBodies/UpdateVirtualAccountBody'
      responses:
        '200':
          $ref: '#/components/responses/UpdateVirtualAccountResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
    VirtualAccountIdPathParameter:
      name: accountId
      in: path
      schema:
        type: string
      description: ID of the virtual account
      required: true
  requestBodies:
    UpdateVirtualAccountBody:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateVirtualAccount'
  responses:
    UpdateVirtualAccountResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateVirtualAccountObject'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    UpdateVirtualAccount:
      type: object
      title: Update Virtual Account
      properties:
        sourceCurrency:
          type: string
          enum:
            - usd
        destinationCurrency:
          type: string
          enum:
            - usdc
            - usdt
            - usdg
            - pyusd
        destinationChain:
          type: string
          enum:
            - POLYGON
            - ETHEREUM
            - SOLANA
            - BASE
            - TRON
          description: >
            Either `externalWalletId` or `destinationChain` must be provided. If
            provided, the token will be delivered to user's HIFI wallet on the
            destination chain.
        externalWalletId:
          type: string
          description: |
            Either `externalWalletId` or `destinationChain` must be provided.
      required:
        - sourceCurrency
        - destinationCurrency
    UpdateVirtualAccountObject:
      type: object
      properties:
        message:
          type: string
        accountInfo:
          $ref: '#/components/schemas/VirtualAccountObject'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    VirtualAccountObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        userId:
          type: string
          format: uuid
        source:
          type: object
          properties:
            paymentRail:
              type: array
              items:
                type: string
            currency:
              type: string
        destination:
          type: object
          properties:
            chain:
              type: string
            currency:
              type: string
            walletAddress:
              type: string
            externalWalletId:
              type: string
        status:
          type: string
          enum:
            - activated
            - deactivated
        microDeposits:
          type: object
          properties:
            count:
              type: integer
            data:
              type: array
              items:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  currency:
                    type: string
                  amount:
                    type: integer
                  sourceBankInfo:
                    $ref: '#/components/schemas/InboundObject'
        depositInstructions:
          type: object
          properties:
            bankName:
              type: string
            bankAddress:
              type: string
            swiftCode:
              type: string
            beneficiary:
              type: object
              properties:
                name:
                  type: string
                address:
                  type: string
            ach:
              type: object
              properties:
                routingNumber:
                  type: string
                accountNumber:
                  type: string
            wire:
              type: object
              properties:
                routingNumber:
                  type: string
                accountNumber:
                  type: string
            rtp:
              type: object
              properties:
                routingNumber:
                  type: string
                accountNumber:
                  type: string
            reference:
              type: string
            depositBy:
              type: string
              format: date-time
            instruction:
              type: string
        settlementRuleId:
          type: string
          format: uuid
    InboundObject:
      type: object
      properties:
        bankName:
          type: string
        senderName:
          type: string
        routingNumber:
          type: string
        accountNumber:
          type: string
        accountType:
          type: string
        fedBatchId:
          type: string
        imad:
          type: string
        omad:
          type: string
        traceNumber:
          type: string
        bankAddress:
          type: string
        description:
          type: string
        paymentRail:
          type: string
          enum:
            - ach
            - wire
            - rtp
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````